//判断是否显示其他输入框
export const isShowOther = (v = [], col) => {
  if (col && !col.otherCode) {
    return false
  }
  // 确保v是数组类型，以避免类型错误
  const arr = Array.isArray(v) ? v : [v]
  const otherArr = ['其他', '遮光', 'CA-QC Dilution-', '拒绝', '部分接受',"污染"]
  return arr.some((item) => otherArr.includes(item))
}

//radioAndOther判断是否显示其他输入框
export const isShowOtherByRadioAndOther = (v = '', col) => {
  if (col && !col.otherCode) {
    return false
  }
  const otherArr = ['其他', '异常', '不一致']
  return otherArr.includes(v)
}

//checkboxTree判断是否显示其他输入框
export const isShowOtherByCheckboxTree = (v = "")=>{
    const otherArr = ['其他', '样品信息', '样品','部分接受']
    return otherArr.includes(v)
}
